
Infrastructure - Task #861

rework cacti graphs based on review feedback

2010-09-15 22:16 - Rob Nahf

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_monitor Estimated time: 0.00 hour

Target version: CCI-0.5   

Milestone: None Story Points:  

Product Version: *   

Description

Simplify the disk health plugin, so graph y-axis is not overloaded

Can the legend items for memory stack be switched so colors match top-down?

brand the Cacti site with DataONE logo? 

History

#1 - 2010-09-17 09:59 - Rob Nahf

- Status changed from New to In Progress

had to rebuild the Cacti templates for disk health a few times.  Cacti appears to be fussy.   Reworked the error handling for get_mn_sync_stats

because Cacti appears to redirect STDERR onto SDTOUT, and tries to parse it as results (added a quiet mode).  Also improved the efficiency of the

plugin in the face of connection timeouts.

#2 - 2010-09-17 22:43 - Rob Nahf

- Status changed from In Progress to Closed

added the DataONE logo to the Cacti site.  Needed to adapt the provided .gif to match the background of the page and resize so that it didn't hide

behind the tabs.  The graph view displays differently in Firefox than in Safari, so reworked the image to display better in Firefox.

Touched up the sync stats legend.

#3 - 2010-09-20 16:38 - Rob Nahf

- Status changed from Closed to 4

#4 - 2010-09-20 16:39 - Rob Nahf

found more loose ends:  some graphs not on tree view (cn-orc-1), check all.  MN health stats need legends.  Check to see if collecting data correctly.

#5 - 2010-09-20 20:30 - Rob Nahf

- Status changed from 4 to Closed

Reviewed all graphs on trees for consistency. Added cn-orc-1 graphs.  The MN health graphs are not collecting, due to changes in the API.  the entire

plug-in need to be rewritten, so creating a new ticket.
